NX Open C++ Reference Guide
Public Member Functions | List of all members
NXOpen::AnimationDesigner::CurveOnCurveJointBuilder Class Reference

Represents a NXOpen::AnimationDesigner::CurveOnCurveJointBuilder . More...

Inheritance diagram for NXOpen::AnimationDesigner::CurveOnCurveJointBuilder:
NXOpen::Builder NXOpen::TaggedObject NXOpen::GeometricUtilities::IComponentBuilder

Public Member Functions

NXOpen::SelectNXObjectListAttachmentList ()
 Returns the attachment list of joint. More...
 
NXOpen::DirectionAxisVector ()
 Returns the axis vector which is tangent to the connected curve at the selected point. More...
 
void EvaluatePath (const std::vector< NXOpen::NXObject * > &curves)
 Evaluates the path. More...
 
std::vector< NXOpen::NXObject * > GetConnectedCurve ()
 Gets the connected curve which the attachment will move along. More...
 
std::vector< NXOpen::NXObject * > GetSectionCurve ()
 Gets the section curve which belong to the attachment. More...
 
NXString Name ()
 Returns the name. More...
 
NXOpen::ExpressionOffset ()
 Returns the offset specifies the "Zero Point" on the curve whose distance to the point along the curve is the offset value. More...
 
NXOpen::PointPointOnCurve ()
 Returns the selected point on curve. More...
 
void SetAxisVector (NXOpen::Direction *axisVector)
 Sets the axis vector which is tangent to the connected curve at the selected point. More...
 
void SetConnectedCurve (const std::vector< NXOpen::NXObject * > &curves)
 Sets the connected curve which the attachment will move along. More...
 
void SetName (const NXString &name)
 Sets the name. More...
 
void SetName (const char *name)
 Sets the name. More...
 
void SetPointOnCurve (NXOpen::Point *pointOnCurve)
 Sets the selected point on curve. More...
 
void SetSectionCurve (const std::vector< NXOpen::NXObject * > &curves)
 Sets the section curve which belong to the attachment. More...
 
void SetSliding (bool sliding)
 Sets the sliding flag. More...
 
bool Sliding ()
 Returns the sliding flag. More...
 
- Public Member Functions inherited from NXOpen::Builder
NXOpen::NXObjectCommit ()
 Commits any edits that have been applied to the builder. More...
 
void Destroy ()
 Deletes the builder, and cleans up any objects created by the builder. More...
 
std::vector< NXOpen::NXObject * > GetCommittedObjects ()
 For builders that create more than one object, this method returns the objects that are created by commit. More...
 
NXOpen::NXObjectGetObject ()
 Returns the object currently being edited by this builder. More...
 
void ShowResults ()
 Updates the model to reflect the result of an edit to the model for all builders that support showing results. More...
 
virtual bool Validate ()
 Validate whether the inputs to the component are sufficient for commit to be called. More...
 
- Public Member Functions inherited from NXOpen::TaggedObject
tag_t Tag () const
 Returns the tag of this object. More...
 

Detailed Description

Represents a NXOpen::AnimationDesigner::CurveOnCurveJointBuilder .


To create a new instance of this class, use NXOpen::AnimationDesigner::CurveOnCurveJointCollection::CreateCurveOnCurveJointBuilder

Created in NX12.0.0.

Member Function Documentation

NXOpen::SelectNXObjectList* NXOpen::AnimationDesigner::CurveOnCurveJointBuilder::AttachmentList ( )

Returns the attachment list of joint.

This can be a NXOpen::AnimationDesigner::RigidGroup or objects which can create a RigidGroup by.
Created in NX12.0.0.

License requirements : nx_animationdesigner (" NX Animation Designer")

NXOpen::Direction* NXOpen::AnimationDesigner::CurveOnCurveJointBuilder::AxisVector ( )

Returns the axis vector which is tangent to the connected curve at the selected point.


Created in NX12.0.0.

License requirements : nx_animationdesigner (" NX Animation Designer")

void NXOpen::AnimationDesigner::CurveOnCurveJointBuilder::EvaluatePath ( const std::vector< NXOpen::NXObject * > &  curves)

Evaluates the path.

If there is no path, create it, otherwise evaluate it.
Created in NX12.0.0.

License requirements : nx_animationdesigner (" NX Animation Designer")

Parameters
curvescurve or edge
std::vector<NXOpen::NXObject *> NXOpen::AnimationDesigner::CurveOnCurveJointBuilder::GetConnectedCurve ( )

Gets the connected curve which the attachment will move along.

Returns
curve or edge
Created in NX12.0.0.

License requirements : nx_animationdesigner (" NX Animation Designer")
std::vector<NXOpen::NXObject *> NXOpen::AnimationDesigner::CurveOnCurveJointBuilder::GetSectionCurve ( )

Gets the section curve which belong to the attachment.

Returns
curve or edge
Created in NX12.0.0.

License requirements : nx_animationdesigner (" NX Animation Designer")
NXString NXOpen::AnimationDesigner::CurveOnCurveJointBuilder::Name ( )

Returns the name.


Created in NX12.0.0.

License requirements : nx_animationdesigner (" NX Animation Designer")

NXOpen::Expression* NXOpen::AnimationDesigner::CurveOnCurveJointBuilder::Offset ( )

Returns the offset specifies the "Zero Point" on the curve whose distance to the point along the curve is the offset value.

Zero Point is on the opposite direction of the axis with respect to the point on the curve.
Created in NX12.0.0.

License requirements : nx_animationdesigner (" NX Animation Designer")

NXOpen::Point* NXOpen::AnimationDesigner::CurveOnCurveJointBuilder::PointOnCurve ( )

Returns the selected point on curve.


Created in NX12.0.0.

License requirements : nx_animationdesigner (" NX Animation Designer")

void NXOpen::AnimationDesigner::CurveOnCurveJointBuilder::SetAxisVector ( NXOpen::Direction axisVector)

Sets the axis vector which is tangent to the connected curve at the selected point.


Created in NX12.0.0.

License requirements : nx_animationdesigner (" NX Animation Designer")

Parameters
axisVectoraxisvector
void NXOpen::AnimationDesigner::CurveOnCurveJointBuilder::SetConnectedCurve ( const std::vector< NXOpen::NXObject * > &  curves)

Sets the connected curve which the attachment will move along.


Created in NX12.0.0.

License requirements : nx_animationdesigner (" NX Animation Designer")

Parameters
curvescurve or edge
void NXOpen::AnimationDesigner::CurveOnCurveJointBuilder::SetName ( const NXString name)

Sets the name.


Created in NX12.0.0.

License requirements : nx_animationdesigner (" NX Animation Designer")

Parameters
namename
void NXOpen::AnimationDesigner::CurveOnCurveJointBuilder::SetName ( const char *  name)

Sets the name.


Created in NX12.0.0.

License requirements : nx_animationdesigner (" NX Animation Designer")

Parameters
namename
void NXOpen::AnimationDesigner::CurveOnCurveJointBuilder::SetPointOnCurve ( NXOpen::Point pointOnCurve)

Sets the selected point on curve.


Created in NX12.0.0.

License requirements : nx_animationdesigner (" NX Animation Designer")

Parameters
pointOnCurvepointoncurve
void NXOpen::AnimationDesigner::CurveOnCurveJointBuilder::SetSectionCurve ( const std::vector< NXOpen::NXObject * > &  curves)

Sets the section curve which belong to the attachment.


Created in NX12.0.0.

License requirements : nx_animationdesigner (" NX Animation Designer")

Parameters
curvescurve or edge
void NXOpen::AnimationDesigner::CurveOnCurveJointBuilder::SetSliding ( bool  sliding)

Sets the sliding flag.


Created in NX12.0.0.

License requirements : nx_animationdesigner (" NX Animation Designer")

Parameters
slidingsliding
bool NXOpen::AnimationDesigner::CurveOnCurveJointBuilder::Sliding ( )

Returns the sliding flag.


Created in NX12.0.0.

License requirements : nx_animationdesigner (" NX Animation Designer")


The documentation for this class was generated from the following file:
Copyright 2017 Siemens Product Lifecycle Management Software Inc. All Rights Reserved.